commit:     451ae9d05cb8f0fcbf4d7f2d64a13678b53714b4
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Aug  8 13:22:09 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Aug  8 15:53:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=451ae9d0

dev-python/colored: drop live, bump eapi/python

Closes: https://bugs.gentoo.org/800123
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/colored/colored-1.4.2.ebuild | 27 ++++++++++++++-------------
 dev-python/colored/colored-9999.ebuild  | 23 -----------------------
 2 files changed, 14 insertions(+), 36 deletions(-)

diff --git a/dev-python/colored/colored-1.4.2.ebuild 
b/dev-python/colored/colored-1.4.2.ebuild
index f418fb0c9..66c738a8e 100644
--- a/dev-python/colored/colored-1.4.2.ebuild
+++ b/dev-python/colored/colored-1.4.2.ebuild
@@ -1,23 +1,24 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-EGIT_REPO_URI="https://gitlab.com/dslackw/${PN}";
-case "${PV}" in
-       9999)
-               inherit git-r3
-               ;;
-       *)
-               SRC_URI="${EGIT_REPO_URI}/-/archive/${PV}/${P}.tar.gz"
-               KEYWORDS="~amd64"
-esac
-
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
 inherit distutils-r1
 
+EGIT_REPO_URI="https://gitlab.com/dslackw/${PN}";
+
 DESCRIPTION="Very simple Python library for color and formatting in terminal"
 HOMEPAGE="https://gitlab.com/dslackw/colored";
-LICENSE="MIT"
+SRC_URI="https://gitlab.com/dslackw/${PN}/-/archive/${PV}/${P}.tar.gz";
 
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
 SLOT="0"
+
+DOCS=( CHANGES.md README.rst docs )
+
+python_test() {
+       "${EPYTHON}" tests/test_hex_1.py || die
+       "${EPYTHON}" tests/test_hex_2.py || die
+}

diff --git a/dev-python/colored/colored-9999.ebuild 
b/dev-python/colored/colored-9999.ebuild
deleted file mode 100644
index f418fb0c9..000000000
--- a/dev-python/colored/colored-9999.ebuild
+++ /dev/null
@@ -1,23 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-EGIT_REPO_URI="https://gitlab.com/dslackw/${PN}";
-case "${PV}" in
-       9999)
-               inherit git-r3
-               ;;
-       *)
-               SRC_URI="${EGIT_REPO_URI}/-/archive/${PV}/${P}.tar.gz"
-               KEYWORDS="~amd64"
-esac
-
-PYTHON_COMPAT=( python3_{7,8,9} )
-inherit distutils-r1
-
-DESCRIPTION="Very simple Python library for color and formatting in terminal"
-HOMEPAGE="https://gitlab.com/dslackw/colored";
-LICENSE="MIT"
-
-SLOT="0"

Reply via email to